<template>
  <footer class="footer py-4">
    <client-only>
      <b-container>
        <div class="d-flex flex-column h-100">
          <div class="footer__top py-2">
            <div class="text-center mb-4">
              <b-img src="~/static/images/logo1.svg" fluid :alt="websiteName" class="footer__logo" />
            </div>
            <ul v-if="menuItems.length" class="list-unstyled list-inline text-center">
              <li v-for="(item , index) in menuItems" :key="'menuItem-' + index" class="list-inline-item d-block d-md-inline-block mx-4">
                <nuxt-link v-if="item.title && item.parameters" :to="localePath({ name: 'slug', params: item.parameters })">
                  {{ item.title }}
                </nuxt-link>
              </li>
            </ul>
          </div>
          <div class="footer__bottom py-2">
            <b-row>
              <b-col md="4" class="d-none d-md-block">
                <div
                  class="d-flex flex-row footer__cards text-center text-md-left
                justify-content-center justify-content-md-start mb-3 mb-md-0"
                >
                  <b-img src="@/static/icons/master-card.svg" alt="MasterCard" class="mr-3" />
                  <b-img src="@/static/icons/visa.svg" alt="Visa" />
                </div>
              </b-col>
              <b-col md="4">
                <ul v-if="socials" class="socials list-unstyled list-inline text-center">
                  <li class="list-inline-item mx-2">
                    <a :href="socials.instagram" target="_blank">
                      <b-img src="~/static/icons/instagram.svg" alt="Instagram" />
                    </a>
                  </li>
                  <li class="list-inline-item mx-2">
                    <a :href="socials.facebook" target="_blank">
                      <b-img src="~/static/icons/facebook.svg" alt="Facebook" />
                    </a>
                  </li>
                  <li class="list-inline-item mx-2">
                    <a :href="socials.whatsapp" target="_blank">
                      <b-img src="~/static/icons/whatsapp.svg" alt="Whatsapp" />
                    </a>
                  </li>
                </ul>
              </b-col>
              <b-col md="4">
                <div class="text-center text-md-right copyright">
                  {{ $t('copyright') }}
                </div>
              </b-col>
            </b-row>
          </div>
        </div>
      </b-container>
    </client-only>
  </footer>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
export default {
  name: 'AppFooter',
  computed: {
    ...mapGetters({
      websiteName: 'settings/getWebsiteName',
      socials: 'settings/getSocials',
      menuItems: 'page/getMenu'
    })
  },
  watch: {
    '$i18n.locale' () {
      this.fetchMenu()
    }
  },
  mounted () {
    if (this.menuItems.length === 0) {
      this.fetchMenu()
    }
  },
  methods: {
    ...mapActions({
      fetchMenu: 'page/FETCH_MENU'
    })
  }
}
</script>
